//---------------------------------------------------------------------------

#ifndef DemoNextGridPrjH
#define DemoNextGridPrjH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include "NxColumnClasses.hpp"
#include "NxColumns.hpp"
#include "NxCustomGrid.hpp"
#include "NxCustomGridControl.hpp"
#include "NxEdit.hpp"
#include "NxGrid.hpp"
#include "NxGridPrint.hpp"
#include "NxScrollControl.hpp"
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ImgList.hpp>
#include <Menus.hpp>
#include <ToolWin.hpp>
#include <SysUtils.hpp>

//---------------------------------------------------------------------------
class TForm1 : public TForm
{
__published:	// IDE-managed Components
         TNextGrid *NextGrid1;
        TImageList *ImageList2;
        TImageList *imlGrid;
         TMainMenu *MainMenu1;
         TMenuItem *Action1;
         TMenuItem *InsertColumn31;
         TMenuItem *DeleteColumn21;
         TMenuItem *DeleteSelectedRow1;
         TMenuItem *Cells12Test1;
         TMenuItem *AddRow201;
       TSaveDialog *SaveDialog1;
         TMenuItem *EditCell261;
       TSaveDialog *SaveDialog2;
       TOpenDialog *OpenDialog1;
        TImageList *NormalImageList;
          TCoolBar *CoolBar1;
          TToolBar *ToolBar2;
       TToolButton *btnLeftAlignment;
       TToolButton *btnCenterAlignment;
       TToolButton *btnRightAlignment;
       TToolButton *ToolButton6;
       TToolButton *ToolButton3;
       TToolButton *ToolButton4;
       TToolButton *ToolButton5;
       TToolButton *ToolButton7;
       TToolButton *btnAddRow;
       TToolButton *btnAddCol;
       TToolButton *ToolButton10;
       TToolButton *ToolButton13;
       TToolButton *ToolButton12;
       TToolButton *ToolButton14;
       TToolButton *ToolButton16;
       TToolButton *ToolButton15;
       TToolButton *ToolButton8;
       TToolButton *ToolButton17;
       TToolButton *ToolButton20;
       TToolButton *ToolButton18;
       TToolButton *ToolButton19;
       TToolButton *ToolButton9;
       TToolButton *ToolButton21;
       TToolButton *ToolButton22;
      TNxGridPrint *GridPrint1;
      TPrintDialog *PrintDialog1;
         TMenuItem *Columns2SortedTrue1;
         TMenuItem *Cell24ColorclRed1;
         TMenuItem *Actions1;
         TMenuItem *urnOnAutoSize1;
         TMenuItem *SaveSettingsToINIFile1;
         TMenuItem *N1;
         TMenuItem *LoadSettingsFromINIFile1;
         TMenuItem *N2;
         TMenuItem *Print1;
         TMenuItem *N3;
         TMenuItem *Exit1;
         TMenuItem *View1;
         TMenuItem *Footer2;
         TMenuItem *Header2;
         TMenuItem *InputLine2;
         TMenuItem *Indicator1;
         TMenuItem *N4;
         TMenuItem *HideColumnsWithMouse1;
         TMenuItem *DisableColumnMoving1;
            TPanel *Panel1;
           TButton *btnAdd;
           TButton *Button1;
           TButton *Button3;
           TButton *Button4;
         TMenuItem *Select1;
         TMenuItem *SelectFullRow2;
         TMenuItem *IndicateSelectedCell1;
         TMenuItem *N5;
         TMenuItem *MultiSelect1;
            TPanel *Panel2;
         TMenuItem *Edit1;
         TMenuItem *Search1;
       TToolButton *ToolButton1;
       TToolButton *btnBold;
       TToolButton *btnItalic;
       TToolButton *btnUnderline;
    TNxColorPicker *ColorPickerEditor1;
       TToolButton *ToolButton2;
       TToolButton *ToolButton11;
       TToolButton *ToolButton23;
       TSaveDialog *SaveDialog3;
         TMenuItem *N6;
         TMenuItem *ReportView1;
         TMenuItem *SlideView1;
TNxIncrementColumn *IncrementColumn1;
 TNxCheckBoxColumn *CheckBoxColumn1;
     TNxTextColumn *TextualColumn1;
    TNxImageColumn *ImageColumn2;
    TNxImageColumn *ImageColumn1;
     TNxDateColumn *DateColumn1;
   TNxNumberColumn *NumericColumn1;
 TNxProgressColumn *ProgressColumn1;
 TNxComboBoxColumn *ComboBoxColumn1;
     TNxRateColumn *RateColumn1;
         TMenuItem *Grid1;

    void  __fastcall Grid1Click(TObject *Sender);
    void  __fastcall FormCreate(TObject *Sender);
    void  __fastcall btnLeftAlignmentClick(TObject *Sender);
    void  __fastcall btnCenterAlignmentClick(TObject *Sender);
    void  __fastcall btnRightAlignmentClick(TObject *Sender);
    void  __fastcall btnAddRowClick(TObject *Sender);
    void  __fastcall btnAddColClick(TObject *Sender);
    void  __fastcall ToolButton13Click(TObject *Sender);
    void  __fastcall ToolButton14Click(TObject *Sender);
    void  __fastcall ToolButton16Click(TObject *Sender);
    void  __fastcall ToolButton8Click(TObject  *Sender);
    void  __fastcall ToolButton17Click(TObject *Sender);
    void  __fastcall ToolButton18Click(TObject *Sender);
    void  __fastcall ToolButton19Click(TObject *Sender);
    void  __fastcall CheckBox7Click(TObject *Sender);
    void  __fastcall InsertColumn31Click(TObject *Sender);
    void  __fastcall DeleteColumn21Click(TObject *Sender);
    void  __fastcall ToolButton3Click(TObject *Sender);
    void  __fastcall ToolButton4Click(TObject *Sender);
    void  __fastcall ToolButton5Click(TObject *Sender);
    void  __fastcall CheckBox8Click(TObject *Sender);
    void  __fastcall CheckBox9Click(TObject *Sender);
    void  __fastcall Button1Click(TObject *Sender);
    void  __fastcall DeleteSelectedRow1Click(TObject *Sender);
    void  __fastcall Cells12Test1Click(TObject *Sender);
    void  __fastcall Button3Click(TObject *Sender);
    void  __fastcall AddRow201Click(TObject *Sender);
    void  __fastcall NextGrid1HeaderClick(TObject  *Sender, int ACol);
    void  __fastcall CheckBox11Click(TObject  *Sender);
    void  __fastcall NextGrid1SelectCell(TObject *Sender, int ACol, int ARow);
    void  __fastcall NextGrid1BeforeEdit(TObject *Sender, int ACol, int ARow, bool &Accept);
    void  __fastcall HideFocus1Click(TObject *Sender);
    void  __fastcall EditCell261Click(TObject *Sender);
    void  __fastcall ToolButton21Click(TObject *Sender);
    void  __fastcall ToolButton22Click(TObject *Sender);
    void  __fastcall btnAddClick(TObject *Sender);
    void  __fastcall Button4Click(TObject *Sender);
    void  __fastcall NextGrid1CellColoring(TObject  *Sender, int ACol, int ARow,
                      TColor &CellColor, TColor &GridColor, TCellState CellState);
    void  __fastcall NextGrid1CellClick(TObject  *Sender, int ACol, int ARow);
    void  __fastcall Columns2SortedTrue1Click(TObject *Sender);
    void  __fastcall Cell24ColorclRed1Click(TObject *Sender);
    void  __fastcall NextGrid1CellFormating(TObject *Sender, int ACol, int ARow,
                       TColor &TextColor, TFontStyles &FontStyle, TCellState CellState);
    void  __fastcall urnOnAutoSize1Click(TObject *Sender);
    void  __fastcall SaveSettingsToINIFile1Click(TObject *Sender);
    void  __fastcall LoadSettingsFromINIFile1Click(TObject *Sender);
    void  __fastcall Exit1Click(TObject *Sender);
    void  __fastcall Print1Click(TObject *Sender);
    void  __fastcall Footer2Click(TObject *Sender);
    void  __fastcall Header2Click(TObject *Sender);
    void  __fastcall InputLine2Click(TObject *Sender);
    void  __fastcall Indicator1Click(TObject *Sender);
    void  __fastcall HideColumnsWithMouse1Click(TObject *Sender);
    void  __fastcall DisableColumnMoving1Click(TObject *Sender);
    void  __fastcall SelectFullRow2Click(TObject *Sender);
    void  __fastcall IndicateSelectedCell1Click(TObject *Sender);
    void  __fastcall MultiSelect1Click(TObject *Sender);
    void  __fastcall NextGrid1FooterClick(TObject *Sender,  int ACol);
    void  __fastcall Search1Click(TObject *Sender);
    void  __fastcall btnBoldClick(TObject *Sender);
    void  __fastcall btnItalicClick(TObject *Sender);
    void  __fastcall btnUnderlineClick(TObject *Sender);
    void  __fastcall ColorPickerEditor1Change(TObject *Sender);
    void  __fastcall ToolButton23Click(TObject *Sender);
    void  __fastcall NextGrid1EditAccept(TObject *Sender, int ACol, int ARow,
                     WideString Value, bool  &Accept);
    void  __fastcall FormClose(TObject *Sender, TCloseAction &Action);
    void  __fastcall ReportView1Click(TObject *Sender);
    void  __fastcall SlideView1Click(TObject *Sender);
private:	// User declarations
     void __fastcall AddRows(int Count,bool  ShowTimer = false);
public:		// User declarations
        __fastcall TForm1(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TForm1 *Form1;
//---------------------------------------------------------------------------
#endif
